classification
Title: http://www.python.org/dev/peps/ title is python.org
Type: behavior Stage:
Components: Versions:
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: Ramchandra Apte, eric.araujo, ezio.melotti, georg.brandl, michael.foord, ncoghlan, r.david.murray
Priority: normal Keywords:

Created on 2012-03-07 06:43 by Ramchandra Apte, last changed 2012-11-11 15:46 by georg.brandl. This issue is now closed.

Messages (11)
msg155051 - (view) Author: Ramchandra Apte (Ramchandra Apte) * Date: 2012-03-07 06:43
The http://www.python.org/dev/peps browser title is python.org
I suggest it should be changed to "PEP Index".
msg162259 - (view) Author: Ramchandra Apte (Ramchandra Apte) * Date: 2012-06-04 13:46
What it the status of this bug?
msg162260 - (view) Author: R. David Murray (r.david.murray) * (Python committer) Date: 2012-06-04 13:50
Presumably the PEP 0 generator needs a patch, but that's not something most of us ever touch.  I've added Nick to nosy, I think he made changes to it last.
msg163014 - (view) Author: Nick Coghlan (ncoghlan) * (Python committer) Date: 2012-06-17 05:41
This is actually related to the integration between the PEP formatting tools and the python.org build system (that is, pep2pyramid.py, rather than genpepindex.py)

I'm inclined to close it as "won't fix" and maybe pass it to the psf-redesign list to look into as part of the python.org RFP.
msg163061 - (view) Author: Michael Foord (michael.foord) * (Python committer) Date: 2012-06-17 12:16
As the PEPs are "development docs", like the Python documentation itself, I wouldn't have *expected* it to be covered by the redesign. Does this require anything more than an update to the PEP index template?
msg163063 - (view) Author: Nick Coghlan (ncoghlan) * (Python committer) Date: 2012-06-17 12:30
I'm expecting the "pep2pyramid.py" part to change at the very least.

However, back on topic, I actually hit the limits of my knowledge of the PEP build process reading that script. 

As near as I can tell, PEP 0 should have the same "title" information as is available for the other PEPs. It does appear the individual PEPs and the index do use differently templates though, so that may be the source of the discrepancy.
msg163064 - (view) Author: Ezio Melotti (ezio.melotti) * (Python committer) Date: 2012-06-17 12:46
The title for the PEPs seem to be set in the fixfile function, at the line 206.

Maybe something like:
    if pep:
        title = "PEP " + pep + " -- " + title
    else:
        title = "PEP index"
works, assuming that only title-less page is the index.
msg163082 - (view) Author: Nick Coghlan (ncoghlan) * (Python committer) Date: 2012-06-17 20:13
As near as I can tell, pep will hold the string value "0" for the PEP index, thus the title should still be getting set. That's why I suspect a templating difference.
msg175238 - (view) Author: Ramchandra Apte (Ramchandra Apte) * Date: 2012-11-09 14:13
Bump.
msg175369 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2012-11-11 15:44
Fixed with commit 11779150cf87 in the peps repo.  May need a PEP addition or PEP title change to trigger, but it's too minor to force that right now.
msg175370 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2012-11-11 15:46
@ Nick/Ezio: the catch was that the /dev/peps/ directory is handled in addition to /dev/peps/pep-0000/, which always had a nice title.

For all PEPs, four files are generated (although it seems sufficient to have two), while for /dev/peps/, only body.html was copied over to its directory.
History
Date User Action Args
2012-11-11 15:46:40georg.brandlsetmessages: + msg175370
2012-11-11 15:44:50georg.brandlsetstatus: open -> closed

nosy: + georg.brandl
messages: + msg175369

resolution: fixed
2012-11-09 14:13:57Ramchandra Aptesetmessages: + msg175238
2012-06-17 20:13:28ncoghlansetmessages: + msg163082
2012-06-17 12:46:30ezio.melottisetnosy: + ezio.melotti
messages: + msg163064
2012-06-17 12:30:45ncoghlansetmessages: + msg163063
2012-06-17 12:16:51michael.foordsetmessages: + msg163061
2012-06-17 05:41:18ncoghlansetnosy: + michael.foord
messages: + msg163014
2012-06-04 13:50:21r.david.murraysetnosy: + r.david.murray, ncoghlan
messages: + msg162260
2012-06-04 13:46:21Ramchandra Aptesetmessages: + msg162259
2012-03-07 22:16:05eric.araujosetnosy: + eric.araujo
2012-03-07 06:43:20Ramchandra Aptecreate